/* This file was generated by the ServiceGenerator.
 * The ServiceGenerator is Copyright (c) 2013 Google Inc.
 */

//
//  GTLQueryMobilebackend.h
//

// ----------------------------------------------------------------------------
// NOTE: This file is generated from Google APIs Discovery Service.
// Service:
//   mobilebackend/v1
// Description:
//   This is an API
// Classes:
//   GTLQueryMobilebackend (13 custom class methods, 14 custom properties)

#if GTL_BUILT_AS_FRAMEWORK
  #import "GTL/GTLQuery.h"
#else
  #import "GTLQuery.h"
#endif

@class GTLMobilebackendEntityDto;
@class GTLMobilebackendEntityListDto;
@class GTLMobilebackendQueryDto;

@interface GTLQueryMobilebackend : GTLQuery

//
// Parameters valid on all methods.
//

// Selector specifying which fields to include in a partial response.
@property (copy) NSString *fields;

//
// Method-specific parameters; see the comments below for more information.
//
@property (copy) NSString *accessMode;
@property (copy) NSString *bucketName;
@property (copy) NSString *contentType;
@property (retain) GTLDateTime *createdAt;
@property (copy) NSString *createdBy;
// identifier property maps to 'id' in JSON (to avoid Objective C's 'id').
@property (copy) NSString *identifier;
@property (copy) NSString *kind;
@property (copy) NSString *kindName;
@property (copy) NSString *objectPath;
@property (copy) NSString *owner;
@property (retain) id properties;
@property (retain) GTLDateTime *updatedAt;
@property (copy) NSString *updatedBy;

#pragma mark -
#pragma mark "blobEndpoint" methods
// These create a GTLQueryMobilebackend object.

// Method: mobilebackend.blobEndpoint.deleteBlob
+ (id)queryForBlobEndpointDeleteBlobWithBucketName:(NSString *)bucketName
                                        objectPath:(NSString *)objectPath;

// Method: mobilebackend.blobEndpoint.getDownloadUrl
// Fetches a GTLMobilebackendBlobAccess.
+ (id)queryForBlobEndpointGetDownloadUrlWithBucketName:(NSString *)bucketName
                                            objectPath:(NSString *)objectPath;

// Method: mobilebackend.blobEndpoint.getUploadUrl
//  Required:
//   accessMode:
//      kGTLMobilebackendAccessModePrivate: "PRIVATE"
//      kGTLMobilebackendAccessModePublicRead: "PUBLIC_READ"
//      kGTLMobilebackendAccessModePublicReadForAppUsers: "PUBLIC_READ_FOR_APP_USERS"
//  Optional:
//   contentType: NSString
// Fetches a GTLMobilebackendBlobAccess.
+ (id)queryForBlobEndpointGetUploadUrlWithBucketName:(NSString *)bucketName
                                          objectPath:(NSString *)objectPath
                                          accessMode:(NSString *)accessMode;

#pragma mark -
#pragma mark "endpointV1" methods
// These create a GTLQueryMobilebackend object.

// Method: mobilebackend.endpointV1.delete
// Fetches a GTLMobilebackendEntityDto.
+ (id)queryForEndpointV1DeleteWithKind:(NSString *)kind
                            identifier:(NSString *)identifier;

// Method: mobilebackend.endpointV1.deleteAll
// Fetches a GTLMobilebackendEntityListDto.
+ (id)queryForEndpointV1DeleteAllWithObject:(GTLMobilebackendEntityListDto *)object;

// Method: mobilebackend.endpointV1.get
// Fetches a GTLMobilebackendEntityDto.
+ (id)queryForEndpointV1GetWithKind:(NSString *)kind
                         identifier:(NSString *)identifier;

// Method: mobilebackend.endpointV1.getAll
// Fetches a GTLMobilebackendEntityListDto.
+ (id)queryForEndpointV1GetAllWithObject:(GTLMobilebackendEntityListDto *)object;

// Method: mobilebackend.endpointV1.insert
// Fetches a GTLMobilebackendEntityDto.
+ (id)queryForEndpointV1InsertWithObject:(GTLMobilebackendEntityDto *)object
                                    kind:(NSString *)kind;

// Method: mobilebackend.endpointV1.insertAll
// Fetches a GTLMobilebackendEntityListDto.
+ (id)queryForEndpointV1InsertAllWithObject:(GTLMobilebackendEntityListDto *)object;

// Method: mobilebackend.endpointV1.list
// Fetches a GTLMobilebackendEntityListDto.
+ (id)queryForEndpointV1ListWithObject:(GTLMobilebackendQueryDto *)object;

// Method: mobilebackend.endpointV1.patch
//  Optional:
//   identifier: NSString
//   createdAt: GTLDateTime
//   createdBy: NSString
//   kindName: NSString
//   owner: NSString
//   properties: id
//   updatedAt: GTLDateTime
//   updatedBy: NSString
// Fetches a GTLMobilebackendEntityDto.
+ (id)queryForEndpointV1PatchWithKind:(NSString *)kind;

// Method: mobilebackend.endpointV1.update
// Fetches a GTLMobilebackendEntityDto.
+ (id)queryForEndpointV1UpdateWithObject:(GTLMobilebackendEntityDto *)object
                                    kind:(NSString *)kind;

// Method: mobilebackend.endpointV1.updateAll
// Fetches a GTLMobilebackendEntityListDto.
+ (id)queryForEndpointV1UpdateAllWithObject:(GTLMobilebackendEntityListDto *)object;

@end
